"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("./attributors/index.cjs.js");
const fluentEditor = require("./core/fluent-editor.cjs.js");
const softBreak = require("./formats/soft-break.cjs.js");
const strike = require("./formats/strike.cjs.js");
const video = require("./formats/video.cjs.js");
const counter = require("./modules/counter.cjs.js");
const customClipboard = require("./modules/custom-clipboard.cjs.js");
const BlotFormatter = require("./modules/custom-image/BlotFormatter.cjs.js");
const customUploader = require("./modules/custom-uploader.cjs.js");
const divider = require("./modules/divider.cjs.js");
const index = require("./modules/emoji/index.cjs.js");
const index$1 = require("./modules/file/index.cjs.js");
const i18n = require("./modules/i18n.cjs.js");
const index$2 = require("./modules/link/index.cjs.js");
const index$3 = require("./modules/mathlive/index.cjs.js");
const formats = require("./modules/mathlive/formats.cjs.js");
const Mention = require("./modules/mention/Mention.cjs.js");
const syntax = require("./modules/syntax.cjs.js");
const betterTable = require("./modules/table/better-table.cjs.js");
const index$4 = require("./modules/toolbar/index.cjs.js");
const snow = require("./themes/snow.cjs.js");
const icons = require("./ui/icons.cjs.js");
const fontStyle = require("./attributors/font-style.cjs.js");
const lineHeight = require("./attributors/line-height.cjs.js");
const fontSize = require("./attributors/font-size.cjs.js");
const textIndent = require("./attributors/text-indent.cjs.js");
fluentEditor.default.register(
  {
    "formats/emoji": index.default.EmojiBlot,
    "formats/font": fontStyle.FontStyle,
    "formats/line-height": lineHeight.LineHeightStyle,
    [`formats/${formats.default.blotName}`]: formats.default,
    "formats/size": fontSize.SizeStyle,
    "formats/softBreak": softBreak.default,
    "formats/strike": strike.default,
    "formats/text-indent": textIndent.TextIndentStyle,
    "formats/video": video.default,
    "modules/clipboard": customClipboard.default,
    "modules/counter": counter.default,
    "modules/divider": divider.default,
    "modules/emoji-shortname": index.default.ShortNameEmoji,
    "modules/emoji-toolbar": index.default.ToolbarEmoji,
    "modules/file": index$1.default,
    // 'modules/global-link': GlobalLink, // TODO
    "modules/i18n": i18n.default,
    "modules/image": BlotFormatter.default,
    "modules/link": index$2.default,
    "modules/mathlive": index$3.default,
    "modules/mention": Mention.default,
    // 'modules/quickmenu': QuickMenu, // TODO
    "modules/syntax": syntax.default,
    "modules/toolbar": index$4.default,
    "modules/uploader": customUploader.default,
    // make sure register after `HeaderList`
    "modules/better-table": betterTable.default,
    "themes/snow": snow.default,
    "ui/icons": icons.default
  },
  true
  // 覆盖内部模块
);
exports.default = fluentEditor.default;
//# sourceMappingURL=fluent-editor.cjs.js.map
