"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Quill = require("quill");
const link = require("./formats/link.cjs.js");
const tooltip = require("./modules/tooltip.cjs.js");
const icons = Quill.import("ui/icons");
const SnowTheme = Quill.import("themes/snow");
const Module = Quill.import("core/module");
class Link extends Module {
  static register() {
    Quill.register("blots/link", link.default, true);
  }
  constructor(quill, options) {
    super(quill, options);
  }
}
SnowTheme.prototype.extendToolbar = function(toolbar) {
  toolbar.container.classList.add("ql-snow");
  this.buildButtons(toolbar.container.querySelectorAll("button"), icons);
  this.buildPickers(toolbar.container.querySelectorAll("select"), icons);
  this.tooltip = new tooltip.default(this.quill, this.options.bounds);
  if (toolbar.container.querySelector(".ql-link")) {
    this.quill.keyboard.addBinding(
      { key: "k", shortKey: true },
      (_range, context) => {
        toolbar.handlers.link.call(toolbar, !context.format.link);
      }
    );
  }
};
exports.default = Link;
//# sourceMappingURL=index.cjs.js.map
