"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const fluentEditor = require("../core/fluent-editor.cjs.js");
const icons_config = require("./icons.config.cjs.js");
const ICONS_CONFIG = {
  "undo": icons_config.UNDO_ICON,
  "redo": icons_config.REDO_ICON,
  "clean": icons_config.CLEAN_ICON,
  "bold": icons_config.BOLD_ICON,
  "italic": icons_config.ITALIC_ICON,
  "underline": icons_config.UNDERLINE_ICON,
  "strike": icons_config.STRIKE_ICON,
  "font": "",
  "size": "",
  "color": `<span class="ql-color-inner">
    ${icons_config.COLOR_ICON}
    ${icons_config.TRIANGLE_DOWN_ICON}
    <span class="current-color-line"></span>
  </span>`,
  "background": `<span class="ql-color-inner">
    ${icons_config.BACKGROUND_COLOR_ICON}
    ${icons_config.TRIANGLE_DOWN_ICON}
    <span class="current-color-line color-line-background"></span>
  </span>`,
  "align": {
    "": icons_config.ALIGN_LEFT_ICON,
    "center": icons_config.ALIGN_CENTER_ICON,
    "right": icons_config.ALIGN_RIGHT_ICON,
    "justify": icons_config.ALIGN_JUSTIFY_ICON
  },
  "list": {
    bullet: icons_config.LIST_UNORDERED_ICON,
    ordered: icons_config.LIST_ORDERED_ICON,
    check: icons_config.LIST_CHECK_ICON
  },
  "code": icons_config.CODE_ICON,
  "code-block": icons_config.CODE_BLOCK_ICON,
  "blockquote": icons_config.BLOCKQUOTE_ICON,
  "image": icons_config.IMAGE_ICON,
  "file": icons_config.FILE_ICON,
  "better-table": icons_config.TABLE_ICON,
  "link": icons_config.LINK_ICON,
  "global-link": icons_config.GLOBAL_LINK_ICON,
  "fullscreen": icons_config.FULLSCREEN_ICON,
  "fullscreen-exit": icons_config.FULLSCREEN_EXIT_ICON,
  "emoji": icons_config.EMOJI_ICON,
  "help": icons_config.HELP_ICON,
  "screenshot": icons_config.SCREENSHOT_ICON,
  "format-painter": icons_config.FORMAT_PAINTER_ICON,
  "divider": icons_config.DIVIDER_ICON
};
const Icons = fluentEditor.default.import("ui/icons");
Object.entries(ICONS_CONFIG).forEach(([key, icon]) => {
  Icons[key] = icon;
});
exports.ICONS_CONFIG = ICONS_CONFIG;
exports.default = Icons;
//# sourceMappingURL=icons.cjs.js.map
