export declare function hexToRgbA(hex: string): string;
/**
 * 将File格式的图片转换成Url格式
 * @param imageFile File格式的图片
 */
export declare function imageFileToUrl(imageFile: any): Promise<unknown>;
/**
 * 将Url格式的图片转换成File格式
 * @param imageUrl 图片的URL
 */
export declare function imageUrlToFile(imageUrl: any, isErrorImage?: boolean): Promise<unknown>;
export declare function insideTable(range?: any, quill?: any): boolean;
export declare function isNullOrUndefined(param: any): boolean;
/**
 * omit
 * @param   obj         target Object
 * @param   uselessKeys  keys of removed properties
 * @return             new Object without useless properties
 */
export declare function omit(obj: any, uselessKeys: any): {};
/**
 * 将delta中的图片替换成制定的图片数组，用于图片上传到服务器的场景
 * @param delta 原始delta
 * @param imageUrls 图片数组
 * @param imagePlaceholder 标识是否是占位图的数组，与图片数组一一对应
 * @return 替换之后的delta
 */
export declare function replaceDeltaImage(delta: any, imageUrls: any, imagePlaceholder: any): any;
export declare function splitWithBreak(insertContent: string): any[];
/**
 * getEventComposedPath
 *  compatibility fixed for Event.path/Event.composedPath
 *  Event.path is only for chrome/opera
 *  Event.composedPath is for Safari, FF
 *  Neither for Micro Edge
 * @return an array of event.path
 */
export declare function getEventComposedPath(evt: any): any;
export declare function sanitize(url: any, protocols: any): any;
export declare function hadProtocol(url: string): boolean;
export declare function isInside(position: any, dom: any): boolean;
export declare const isPureIE: boolean;
