import { QuillOptions } from 'quill';
import { ScreenShotOptions } from '../../tools/screenshot';
import { IEditorModules } from './editor-modules.interface';
import { EditorFormat } from './type';

export interface IEditorConfig extends QuillOptions {
    format?: EditorFormat;
    modules?: IEditorModules;
    screenshotOnStaticPage?: boolean;
    scrollingContainer?: HTMLElement | string | null;
    trackChanges?: 'user' | 'all';
    autoProtocol?: boolean | string;
    editorPaste?: any;
    uploadOption?: {
        imageUpload?: ({ file, callback, editor }: {
            file: any;
            callback: any;
            editor: any;
        }) => void;
        imageAccept?: Array<string>[] | string;
        fileAccept?: Array<string>[] | string;
        fileUpload: ({ file, callback, editor }: {
            file: any;
            callback: any;
            editor: any;
        }) => void;
        isVideoPlay?: boolean;
        maxSize?: number;
        success?: (file: File) => void;
        fail?: (file: File) => void;
        multiple?: boolean;
    };
    screenshot?: Partial<ScreenShotOptions>;
    i18n?: {
        lang?: string;
        langText?: Record<string, string>;
    };
}
