import { default as Action } from './actions/Action';
import { Options } from './Options';
import { default as BlotSpec } from './specs/BlotSpec';
import { default as ImageBar } from './image-bar';

export default class BlotFormatter {
    quill: any;
    options: Options;
    currentSpec: BlotSpec;
    specs: BlotSpec[];
    overlay: HTMLElement;
    actions: Action[];
    observer: any;
    imageBar: ImageBar;
    private debounceTimer;
    static register(): void;
    constructor(quill: any, options?: any);
    show(spec: BlotSpec): void;
    hide(): void;
    update(): void;
    createActions(spec: BlotSpec): void;
    destroyActions(): void;
    repositionOverlay(): void;
    setUserSelect(value: string): void;
    onClick: () => void;
    onMouseOver: (event: any) => void;
    hideImageBar: () => void;
    hideImageOverlay: (event: any) => void;
}
